User account creation filtered due to spam.

Bug 21724 - [4.0 Regression] libmudflap/Makefile.am, refusing to install mf-runtime.h in includedir
Summary: [4.0 Regression] libmudflap/Makefile.am, refusing to install mf-runtime.h in ...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libmudflap (show other bugs)
Version: 4.0.0
: P2 normal
Target Milestone: 4.0.4
Assignee: Frank Ch. Eigler
URL:
Keywords: build
Depends on:
Blocks: 21824
  Show dependency treegraph
 
Reported: 2005-05-23 17:19 UTC by Alfred M. Szmidt
Modified: 2006-06-21 16:40 UTC (History)
2 users (show)

See Also:
Host: i686-pc-gnu0.3
Target: i686-pc-gnu0.3
Build: i686-pc-gnu0.3
Known to work:
Known to fail:
Last reconfirmed: 2005-12-27 00:24:35


Attachments
Fix for bug 21724 (220 bytes, patch)
2005-05-23 17:28 UTC, Alfred M. Szmidt
Details | Diff
patch for mainline (4.28 KB, patch)
2006-06-21 16:36 UTC, Frank Ch. Eigler
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alfred M. Szmidt 2005-05-23 17:19:55 UTC
When doing something like:

  make install includedir=/foo/bar/baz

in gcc 4.0.0 you get the following error:

test -z "/include" || mkdir -p -- "/include"
 /usr/bin/install -c -m 644
'/home/ams/gsc/devel/gcc/src/libmudflap/mf-runtime.h' '/include/mf-runtime.h'
/usr/bin/install: cannot create regular file `/include/mf-runtime.h': Permission
denied
make[5]: *** [install-includeHEADERS] Error 1

This applys to any platform, not just GNU.

Happy hacking.
Comment 1 Alfred M. Szmidt 2005-05-23 17:28:17 UTC
Created attachment 8955 [details]
Fix for bug 21724

The following patch fixes the bug.

libmudflap/ChangeLog
2005-05-23  Alfred M. Szmidt  <ams@gnu.org>

	    * Makefile.am (AM_MAKEFLAGS): Pass includedir.
Comment 2 CVS Commits 2005-06-14 19:18:21 UTC
Subject: Bug 21724

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	fche@gcc.gnu.org	2005-06-14 19:18:16

Modified files:
	libmudflap     : ChangeLog Makefile.am Makefile.in 

Log message:
	2005-05-23  Alfred M. Szmidt  <ams@gnu.org>
	
	PR libmudflap/21724
	* Makefile.am (AM_MAKEFLAGS): Pass includedir.
	* Makefile.in: Amend.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libmudflap/ChangeLog.diff?cvsroot=gcc&r1=1.60&r2=1.61
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libmudflap/Makefile.am.diff?cvsroot=gcc&r1=1.15&r2=1.16
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libmudflap/Makefile.in.diff?cvsroot=gcc&r1=1.18&r2=1.19

Comment 3 Frank Ch. Eigler 2005-06-14 19:18:41 UTC
thanks, sorry for the wait
Comment 4 Thomas Schwinge 2005-06-16 15:46:22 UTC
Could that please be fixed on the 4.0 branch as well?
Comment 5 Andrew Pinski 2005-06-16 15:57:44 UTC
(In reply to comment #4)
> Could that please be fixed on the 4.0 branch as well?

Most likely but not for the 4.0.1 as the branch is frozen and only the release manager can say it can go 
in.
Comment 6 Thomas Schwinge 2005-08-09 17:46:24 UTC
Subject: Re:  [4.0 Regression] libmudflap/Makefile.am, refusing to install mf-runtime.h in includedir

On Thu, Jun 16, 2005 at 03:57:27PM -0000, pinskia at gcc dot gnu dot org wrote:
> 
> ------- Additional Comments From pinskia at gcc dot gnu dot org  2005-06-16 15:57 -------
> (In reply to comment #4)
> > Could that please be fixed on the 4.0 branch as well?
> 
> Most likely but not for the 4.0.1 as the branch is frozen and only the release manager can say it can go 
> in.

Ping.


Regards,
 Thomas
Comment 7 Frank Ch. Eigler 2006-06-21 16:36:23 UTC
Created attachment 11722 [details]
patch for mainline
Comment 8 Frank Ch. Eigler 2006-06-21 16:40:02 UTC
patch in 4.2-bound mainline